---
lang: en
title: 'API docs: rest.valuevalidationoptions.source'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.valuevalidationoptions.source.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [ValueValidationOptions](./rest.valuevalidationoptions.md) &gt; [source](./rest.valuevalidationoptions.source.md)

## ValueValidationOptions.source property

Where the data comes from. It can be 'body', 'path', 'header', 'query', 'cookie', etc...

**Signature:**

```typescript
source?: string;
```

